Bug 1411035 - [abrt] mate-terminal: slowly_and_stupidly_obtain_timestamp(): mate-terminal killed by SIGSEGV
Summary: [abrt] mate-terminal: slowly_and_stupidly_obtain_timestamp(): mate-terminal k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-terminal
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c1587f1ffccc93d577a9c081932...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 18:01 UTC by Davide Repetto
Modified: 2017-02-09 04:22 UTC (History)
1 user (show)

Fixed In Version: mate-terminal-1.16.1-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 04:22:04 UTC


Attachments (Terms of Use)
File: backtrace (25.33 KB, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: cgroup (276 bytes, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: core_backtrace (783 bytes, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: dso_list (9.00 KB, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: environ (3.06 KB, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: exploitable (93 bytes, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: maps (41.50 KB, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: mountinfo (3.55 KB, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-07 18:01 UTC, Davide Repetto
no flags Details
File: open_fds (880 bytes, text/plain)
2017-01-07 18:02 UTC, Davide Repetto
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-07 18:02 UTC, Davide Repetto
no flags Details
File: var_log_messages (317 bytes, text/plain)
2017-01-07 18:02 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2017-01-07 18:01:36 UTC
Description of problem:
Most of the mate apps crash if launched under gnome-wayland.
This report was gfenerated on a fully updated clean fedora-workstation.

Version-Release number of selected component:
mate-terminal-1.16.1-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        mate-terminal
crash_function: slowly_and_stupidly_obtain_timestamp
executable:     /usr/bin/mate-terminal
global_pid:     3058
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 slowly_and_stupidly_obtain_timestamp at terminal.c:449

Comment 1 Davide Repetto 2017-01-07 18:01:43 UTC
Created attachment 1238268 [details]
File: backtrace

Comment 2 Davide Repetto 2017-01-07 18:01:44 UTC
Created attachment 1238269 [details]
File: cgroup

Comment 3 Davide Repetto 2017-01-07 18:01:46 UTC
Created attachment 1238270 [details]
File: core_backtrace

Comment 4 Davide Repetto 2017-01-07 18:01:48 UTC
Created attachment 1238271 [details]
File: dso_list

Comment 5 Davide Repetto 2017-01-07 18:01:50 UTC
Created attachment 1238272 [details]
File: environ

Comment 6 Davide Repetto 2017-01-07 18:01:52 UTC
Created attachment 1238273 [details]
File: exploitable

Comment 7 Davide Repetto 2017-01-07 18:01:53 UTC
Created attachment 1238274 [details]
File: limits

Comment 8 Davide Repetto 2017-01-07 18:01:56 UTC
Created attachment 1238275 [details]
File: maps

Comment 9 Davide Repetto 2017-01-07 18:01:57 UTC
Created attachment 1238276 [details]
File: mountinfo

Comment 10 Davide Repetto 2017-01-07 18:01:59 UTC
Created attachment 1238277 [details]
File: namespaces

Comment 11 Davide Repetto 2017-01-07 18:02:00 UTC
Created attachment 1238278 [details]
File: open_fds

Comment 12 Davide Repetto 2017-01-07 18:02:02 UTC
Created attachment 1238279 [details]
File: proc_pid_status

Comment 13 Davide Repetto 2017-01-07 18:02:03 UTC
Created attachment 1238280 [details]
File: var_log_messages

Comment 14 Davide Repetto 2017-01-08 15:00:18 UTC
I noticed that these programs work correctly if forced to use xwayland with "env GDK_BACKEND=x11".
May it be that they "try" to use wayland directly, given they're gtk3 apps and somehow do it wrong?

Comment 15 Wolfgang Ulbrich 2017-01-09 09:19:55 UTC
https://github.com/mate-desktop/mate-terminal/pull/162

Comment 16 Davide Repetto 2017-01-10 08:45:38 UTC
I suppose caja (and a few mate apps) have the same problem. Do I file a new bug?

Comment 17 Wolfgang Ulbrich 2017-01-10 09:05:58 UTC
Only if you find an application where i or other didn't fix it.
Already done for https://github.com/mate-desktop/caja/commit/83ceaa5139036498533b941ac96b600e75bceff6
https://github.com/mate-desktop/atril/pull/237
https://github.com/mate-desktop/eom/pull/136
And please use github directly to file out reports + reporting it at rhbz.
I am maintaining Mate alone here and forwarding issue which can only be fix by upstream is more and more an annoying extra work for me.

Comment 18 Fedora Update System 2017-01-27 10:06:40 UTC
mate-terminal-1.16.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f7759540b

Comment 19 Fedora Update System 2017-01-28 04:55:55 UTC
mate-terminal-1.16.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f7759540b

Comment 20 Fedora Update System 2017-01-31 09:34:29 UTC
mate-terminal-1.16.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2dba9fe0a4

Comment 21 Fedora Update System 2017-01-31 23:49:45 UTC
mate-terminal-1.16.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2dba9fe0a4

Comment 22 Fedora Update System 2017-02-09 04:22:04 UTC
mate-terminal-1.16.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.